package jp.javable.sample.beanutils;

import org.apache.commons.beanutils.BeanUtils;
import org.apache.commons.beanutils.ConvertUtils;

public class Main {

	public static void main(String[] args) throws Exception {
		
		ConvertUtils.register(new CustomStringConverter(), String.class);
		
		UserModel model = new UserModel();
		model.setName("a");
		model.setLoginDate(new java.util.Date());

		UserForm form = new UserForm();
		BeanUtils.copyProperties(form, model);

		System.out.println(form);
	}
}
